This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827517 - (CVE-2012-1013) CVE-2012-1013 krb5: kadmind denial of service
CVE-2012-1013 krb5: kadmind denial of service
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120601,reported=2...
: Security
Depends On: 827598 839859 839860
Blocks: 827541 838017
  Show dependency treegraph
 
Reported: 2012-06-01 12:42 EDT by Vincent Danen
Modified: 2015-11-24 10:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 17:43:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-06-01 12:42:30 EDT
MIT Kerberos 5 version 1.10.2 was released [1] and noted as fixing:

* Fix a kadmind denial of service issue (null pointer dereference), which could only be triggered by an administrator with the "create" privilege.  [CVE-2012-1013]

No information is currently available on which versions are affected by this flaw.

[1] http://mailman.mit.edu/pipermail/kerberos-announce/2012q2/000136.html
Comment 1 Vincent Danen 2012-06-01 16:17:27 EDT
Upstream bug report:

http://krbdev.mit.edu/rt/Ticket/Display.html?id=7152

And the upstream fix:

https://github.com/krb5/krb5/commit/c5be6209311d4a8f10fda37d0d3f876c1b33b77b

This only affects krb5 1.8 and higher, and only clients authorized to create principals can trigger the bug (so requires administrative privileges).
Comment 2 Vincent Danen 2012-06-01 16:18:28 EDT
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 827598]
Comment 4 Fedora Update System 2012-06-13 17:34:03 EDT
krb5-1.10-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-06-13 17:35:17 EDT
krb5-1.9.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-06-13 17:36:27 EDT
krb5-1.9.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2012-07-31 14:56:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1131 https://rhn.redhat.com/errata/RHSA-2012-1131.html
Comment 8 Vincent Danen 2012-07-31 17:43:19 EDT
Statement:

Not vulnerable. This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 4 and 5.

Note You need to log in before you can comment on or make changes to this bug.